require 'Items/ProceduralDistributions'
require "Items/SuburbsDistributions"
require "Vehicles/VehicleDistributions"
require "Items/Distributions"

RemoveItemFromDistribution(Distributions[1], "CannedFruitCocktail",             nil, true);
RemoveItemFromDistribution(Distributions[1], "CannedMushroomSoup",		nil, true);
RemoveItemFromDistribution(Distributions[1], "CannedCarrots2",			nil, true);
RemoveItemFromDistribution(Distributions[1], "CannedPotato2",			nil, true);
RemoveItemFromDistribution(Distributions[1], "CannedPeaches",			nil, true);
RemoveItemFromDistribution(Distributions[1], "CannedPineapple",			nil, true);
RemoveItemFromDistribution(Distributions[1], "CannedMilk",			nil, true);
RemoveItemFromDistribution(Distributions[1], "CannedChili",			nil, true);
RemoveItemFromDistribution(Distributions[1], "CannedCornedBeef",		nil, true);
RemoveItemFromDistribution(Distributions[1], "CannedBolognese",		        nil, true);
RemoveItemFromDistribution(Distributions[1], "CannedTomato2",	                nil, true);
RemoveItemFromDistribution(Distributions[1], "Ramen",		                nil, true);
RemoveItemFromDistribution(Distributions[1], "Pasta",			        nil, true);
RemoveItemFromDistribution(Distributions[1], "CandyPackage",			nil, true);
RemoveItemFromDistribution(Distributions[1], "Plonkies",		        nil, true);
RemoveItemFromDistribution(Distributions[1], "SnoGlobes",			nil, true);
RemoveItemFromDistribution(Distributions[1], "QuaggaCakes",			nil, true);
RemoveItemFromDistribution(Distributions[1], "ChocoCakes",			nil, true);
RemoveItemFromDistribution(Distributions[1], "JellyBeans",			nil, true);

RemoveItemFromDistribution(SuburbsDistributions, "CannedChili",		        nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "CannedCornedBeef",	        nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "CannedBolognese",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "CannedTomato2",	        nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "Ramen",	                nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "Pasta",		        nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "CandyPackage",		nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "Plonkies",	                nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "SnoGlobes",		        nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "QuaggaCakes",		        nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "ChocoCakes",		        nil, true);
RemoveItemFromDistribution(SuburbsDistributions, "JellyBeans",		        nil, true);

RemoveItemFromDistribution(VehicleDistributions, "CannedChili",		        nil, true);
RemoveItemFromDistribution(VehicleDistributions, "CannedBolognese",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "CannedCornedBeef",	        nil, true);
RemoveItemFromDistribution(VehicleDistributions, "HuntingRifle",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "CannedTomato2",	        nil, true);
RemoveItemFromDistribution(VehicleDistributions, "Ramen",	                nil, true);
RemoveItemFromDistribution(VehicleDistributions, "Pasta",		        nil, true);
RemoveItemFromDistribution(VehicleDistributions, "CandyPackage",		nil, true);
RemoveItemFromDistribution(VehicleDistributions, "Plonkies",	                nil, true);
RemoveItemFromDistribution(VehicleDistributions, "SnoGlobes",		        nil, true);
RemoveItemFromDistribution(VehicleDistributions, "QuaggaCakes",		        nil, true);
RemoveItemFromDistribution(VehicleDistributions, "ChocoCakes",		        nil, true);
RemoveItemFromDistribution(VehicleDistributions, "JellyBeans",		        nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list, "CannedChili",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "CannedBolognese",	nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "CannedCornedBeef",	nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "CannedTomato2",	nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "Ramen",	        nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "Pasta",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "CandyPackage",	nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "Plonkies",	        nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "SnoGlobes",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "QuaggaCakes",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "ChocoCakes",		nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list, "JellyBeans",		nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["CrateCannedFood"], "CannedChili",             nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["CrateCannedFood"], "CannedBolognese",         nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["CrateCannedFood"], "CannedCornedBeef",        nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["CrateCannedFood"], "CannedTomato2",           nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["KitchenCannedFood"], "CannedBolognese",       nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["KitchenCannedFood"], "CannedChili",           nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["KitchenCannedFood"], "CannedCornedBeef",      nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["KitchenCannedFood"], "CannedTomato2",         nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GroceryStorageCrate1"], "CannedChili",        nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GroceryStorageCrate1"], "CannedCornedBeef",   nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GroceryStorageCrate1"], "CannedTomato2",      nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GroceryStorageCrate1"], "CannedBolognese",    nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GroceryStorageCrate1"], "Ramen",              nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GroceryStorageCrate1"], "Pasta",              nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GroceryStorageCrate1"], "JellyBeans",         nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["GroceryStorageCrate2"], "CannedTomato2",      nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GigamartCannedFood"], "CannedBolognese",      nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GigamartCannedFood"], "CannedChili",          nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GigamartCannedFood"], "CannedCornedBeef",     nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GigamartCannedFood"], "CannedTomato2",        nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["CrateCannedFood"], "CannedChili",             nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["CrateCannedFood"], "CannedBolognese",         nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["CrateCannedFood"], "CannedCornedBeef",        nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["CrateCannedFood"], "CannedTomato2",           nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["GasStorageCombo"], "Plonkies",                nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GasStorageCombo"], "SnoGlobes",               nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GasStorageCombo"], "QuaggaCakes",             nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GasStorageCombo"], "ChocoCakes",              nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GasStorageCombo"], "JellyBeans",              nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["StoreShelfCombo"], "Plonkies",                nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["StoreShelfCombo"], "SnoGlobes",               nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["StoreShelfCombo"], "QuaggaCakes",             nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["StoreShelfCombo"], "ChocoCakes",              nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["StoreShelfCombo"], "JellyBeans",              nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["StoreShelfSnacks"], "Plonkies",               nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["StoreShelfSnacks"], "SnoGlobes",              nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["StoreShelfSnacks"], "QuaggaCakes",            nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["StoreShelfSnacks"], "ChocoCakes",             nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["StoreShelfSnacks"], "JellyBeans",             nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["TheatreSnacks"], "JellyBeans",                nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["CandyStoreSnacks"], "JellyBeans",             nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GigamartCandy"], "JellyBeans",                nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GigamartCandy"], "JellyBeans",                nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["CratePasta"], "Pasta",                        nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GigamartDryGoods"], "Ramen",                  nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["GigamartDryGoods"], "Pasta",                  nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PrisonCellRandom"], "Ramen",                  nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["KitchenDryFood"], "Ramen",                    nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["KitchenDryFood"], "Pasta",                    nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["ItalianKitchenBaking"], "Pasta",              nil, true);

RemoveItemFromDistribution(ProceduralDistributions.list["PlankStashGun"], "Money",                     nil, true);
RemoveItemFromDistribution(ProceduralDistributions.list["PlankStashMoney"], "Money",                   nil, true);


table.insert(Distributions, 1, distributionTable);

   cashregister = {
      rolls = 4,
      items = {
         "Money_100", 15,
         "Money_200", 20,
         "Money_500", 20,
         "Money", 40,
         "Money_5000", 10,
         "Money_10_000", 5,
      },
   },

